/**
 * Created by fran lopez on 9/11/15.
 */

    /**
     * CommonJS module to define a e2e test to check operations with
     * film reviews using the views defined in path
     * "/public/filmReviews/views".
     */

    describe('Film Reviews E2E Tests:', function() {
        describe('Test for film reviews', function() {
            it('Should not be able to find film reviews, because the film ID used in the URL is wrong', function() {

                browser.get('http://localhost:3000/#!/filmReviews/fds45a4dsa6a');
                expect(element(by.id('errorLabel')).isPresent()).toBe(true);
            });

            it('Should be able to find film reviews, because the film ID used in the URL is correct', function() {

                browser.get('http://localhost:3000/#!/filmReviews/56a37475ddb6aa451246799a');
                expect(element(by.css('li label')).isPresent()).toBe(true);
            });
        });
    });